%define upstream_name    Term-Size-Any
%define upstream_version 0.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Retrieve terminal size
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Hide)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Load::Conditional)
BuildRequires: perl(Term::Size::Perl)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is a unified interface to retrieve terminal size. It loads one module
of a list of known alternatives, each implementing some way to get the
desired terminal information. This loaded module will actually do the job
on behalf of 'Term::Size::Any'.

Thus, 'Term::Size::Any' depends on the availability of one of these
modules:

    Term::Size           (soon to be supported)
    Term::Size::Perl
    Term::Size::ReadKey  (soon to be supported)
    Term::Size::Win32

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-11.mga8
+ Revision: 1497308
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.2.0-10.mga7
+ Revision: 1271642
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-9.mga6
+ Revision: 1034018
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.2.0-8.mga6
+ Revision: 949720
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.2.0-7.mga5
+ Revision: 790380
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-6.mga5
+ Revision: 742968
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.2.0-5.mga5
+ Revision: 735946
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 686388
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-3.mga4
+ Revision: 514976
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 373317
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 255494
- update to 0.002

* Tue Jan 18 2011 jquelin <jquelin> 0.1.0-2.mga1
+ Revision: 22881
- cleaning spec file
- imported package perl-Term-Size-Any

